> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/expected/coverage.md).

# Coverage

> **📦 Add-on Required**
>
> Expected Goals (xG) data requires either the **xG Basic** or **xG Advanced** add-on.
>
> * **xG Basic Add-on:** Access to all xG statistics immediately after match completion (€19-€99 depending on your base plan)
> * **xG Advanced Add-on:** Real-time xG statistics during live matches plus all post-match data (€199-€399 depending on your base plan)
>
> Available with all base plans (Starter, Growth, Pro, Enterprise).\
> [View pricing and add-ons →](https://www.sportmonks.com/football-api/plans-pricing)

We cover the following leagues for our Expected values.

| League Name                    | ID   |
| ------------------------------ | ---- |
| Champions League               | 2    |
| Europa League                  | 5    |
| Premier League                 | 8    |
| Championship                   | 9    |
| League One                     | 12   |
| League Two                     | 14   |
| FA Cup                         | 24   |
| Carabao Cup                    | 27   |
| EFL Trophy                     | 39   |
| Eredivisie                     | 72   |
| Eerste Divisie                 | 74   |
| Bundesliga                     | 82   |
| 2. Bundesliga                  | 85   |
| DFB Pokal                      | 109  |
| Bundesliga Play-offs           | 163  |
| 2. Bundesliga Play-offs        | 166  |
| Admiral Bundesliga             | 181  |
| Pro League                     | 208  |
| Superliga                      | 271  |
| Ligue 1                        | 301  |
| Coupe de France                | 307  |
| Serie A                        | 384  |
| Coppa Italia                   | 390  |
| Eliteserien                    | 444  |
| Liga Portugal                  | 462  |
| Premiership                    | 501  |
| La Liga                        | 564  |
| Copa Del Rey                   | 570  |
| Allsvenskan                    | 573  |
| Super League                   | 591  |
| Super Lig                      | 600  |
| Superliga                      | 636  |
| Serie A                        | 648  |
| WC Qualification Concacaf      | 717  |
| WC Qualification Europe        | 720  |
| WC Qualification South America | 726  |
| World Cup                      | 732  |
| Liga MX                        | 743  |
| Major League Soccer            | 779  |
| Pro League                     | 944  |
| J-League                       | 968  |
| Indian Super League            | 1007 |
| Copa America                   | 1114 |
| Africa Cup of Nations          | 1117 |
| Copa Libertadores              | 1122 |
| Euro Qualification             | 1325 |
| European Championship          | 1326 |
| A-League Men                   | 1356 |
| UEFA Nations League            | 1538 |
| Copa de la Superliga           | 1658 |
| Europa Conference League       | 2286 |
| Primeira Liga - Play-offs      | 2295 |
| J1 100 Year Vision League      | 3537 |

### What's included in each add-on?

#### xG Basic Add-on

**When data is available:** Immediately after match completion

**Includes:**

* Expected Goals (xG) for each team
* Player-level xG data
* Shot-level xG values
* xG timeline during the match

**Pricing:**

* Starter plan: €19/month
* Growth plan: €69/month
* Pro plan: €99/month

#### xG advanced Add-on

**When data is available:** Real-time during live matches + post-match

**Includes:**

* Everything in xG Basic, plus:
* Live xG updates during matches (updated every 30-60 seconds)
* Advanced xG metrics
* Enhanced shot quality analysis
* Real-time xG accumulation

**Pricing:**

* Starter plan: €199/month
* Growth plan: €299/month
* Pro plan: €399/month

### Popular bundle options

Save money by combining xG with other add-ons:

**Pressure index + xG basic bundle:**

* Starter: €24/month (save €4)
* Growth: €84/month (save €4)
* Pro: €114/month (save €14)

**Pressure index + xG advanced bundle:**

* Starter: €204/month (save €4)
* Growth: €314/month (save €4)
* Pro: €414/month (save €14)

[View all bundles and pricing →](https://www.sportmonks.com/football-api/plans-pricing)

### How to add xG to your subscription

1. Log in to [MySportmonks](https://my.sportmonks.com/)
2. Navigate to **Subscriptions** → **Add-ons**
3. Select **xG Basic** or **xG Advanced**
4. Complete checkout

The add-on will be active immediately.

### Related features

**Prerequisites:**

* [Fixtures](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/livescores-and-fixtures/fixtures) - Understand fixture data structure
* [Statistics](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/statistics/fixture-statistics) - Learn about match statistics

**Works well with:**

* [Pressure Index](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/expected/pressure-index) - Combine xG with defensive pressure metrics (separate add-on)
* [Predictions](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/odds-and-predictions/predictions) - xG data powers prediction models (separate add-on)

**Next steps:**

* [xG Endpoints](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/expected/endpoints) - How to retrieve xG data
* [xG Includes](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/expected/includes) - Enrich xG data with related information

\
**Questions?** Contact <support@sportmonks.com>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/expected/coverage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
